diff -ur gnuplot-5.0.6.orig/config/mingw/Makefile gnuplot-5.0.6/config/mingw/Makefile
--- gnuplot-5.0.6.orig/config/mingw/Makefile	2017-08-03 15:33:24.088765021 -0400
+++ gnuplot-5.0.6/config/mingw/Makefile	2017-08-03 15:39:44.802747844 -0400
@@ -102,18 +102,19 @@
 # Uncomment the following lines to compile it.
 #WXT=1
 #CAIROLIBS=1
+WX_CONFIG ?= wx-config
 
 # Build qt terminal?
 #QT = 1
 # specify QT installation directory
 #QT_DIR = /c/Qt/5.2.1/mingw48_32
 ifndef MINGW64
-QT_DIR = /d/Source/Qt-5.2.1-mingw/5.2.1/mingw48_32
+QT_DIR ?= /d/Source/Qt-5.2.1-mingw/5.2.1/mingw48_32
 else
 ifdef M32
-QT_DIR = /mingw32
+QT_DIR ?= /mingw32
 else
-QT_DIR = /mingw64
+QT_DIR ?= /mingw64
 endif
 endif
 
@@ -131,7 +132,7 @@
 
 # Uncomment if you have libcerf
 # http://sourceforge.net/projects/libcerf/
-CERF=1
+#CERF=1
 
 # Below you can adapt paths according to your software setup:
 
@@ -160,6 +161,7 @@
 
 # Do you want some special optimization / flags?
 #CFLAGS +=
+CFLAGS += -DDISABLE_SPACE_RAISES_CONSOLE
 CWFLAGS += -Wno-unused-function
 ifdef CLANG
 CFLAGS += -fcolor-diagnostics -fansi-escape-codes
@@ -177,8 +179,8 @@
 # http://go.microsoft.com/fwlink/?LinkId=154968
 # We need to explicitly set the correct path here since we also need
 # adjust the include and library paths.
-HHWPATH = $(PROGRAMFILES32)/HTML\ Help\ Workshop/
-HHC = $(HHWPATH)hhc
+#HHWPATH = $(PROGRAMFILES32)/HTML\ Help\ Workshop/
+#HHC = $(HHWPATH)hhc
 
 # Choose which resource compiler you want to use (GNU windres or MS rc):
 GNU_RC = 1
@@ -194,7 +196,7 @@
 # get it from: http://www.jrsoftware.org/isdl.php
 # Use unicode version of Inno Setup Compiler but not Standard version
 # because the setup file of gnuplot installer is now encoded utf-8 with BOM.
-ISCC = $(PROGRAMFILES32)/Inno\ Setup\ 5/iscc
+#ISCC = $(PROGRAMFILES32)/Inno\ Setup\ 5/iscc
 
 # Directory that might contain extra files to be shipped with the installer.
 # This should include dependencies like DLLs, but also fontconfig configuration files.
@@ -445,9 +447,9 @@
 
 ifdef WXT
 	CFLAGS += -DWXWIDGETS
-	WXT_CXXFLAGS := $(shell wx-config --cxxflags)
+	WXT_CXXFLAGS := $(shell $(WX_CONFIG) --cxxflags)
 	CXXFLAGS += $(WXT_CXXFLAGS)
-	WX_LIBS := $(shell wx-config --libs | sed -e "s+-Wl,--subsystem,windows++g" -e "s+-mwindows++g")
+	WX_LIBS := $(shell $(WX_CONFIG) --libs | sed -e "s+-Wl,--subsystem,windows++g" -e "s+-mwindows++g")
 	WX_OBJS = wxt_gui.$(O)
 endif
 
@@ -537,7 +539,7 @@
 FULLVERSION := $(MAINVERSION) patchlevel $(PATCHLEVEL)
 
 
-default: $(TARGET) $(MENUFILE) support
+default: $(TARGET) $(MENUFILE) #support
 
 console: 
 	$(MAKE) TARGET=gnuplot.exe default
@@ -579,8 +581,8 @@
 	$(CC) -c $(CFLAGS) $(CFLAGSEXTRA) -MMD -MT '$*.$$(O)' -MF $*.d -o $@ $<
 
 LDLIBS = -lkernel32 -lgdi32 -lwinspool -lcomdlg32 -lcomctl32 -ladvapi32 -lshell32 -lmsimg32 -lgdiplus
-LDLIBS += -lhtmlhelp
-LDFLAGS2 += -L$(HHWPATH)lib
+#LDLIBS += -lhtmlhelp
+#LDFLAGS2 += -L$(HHWPATH)lib
 ifdef MINGW64
 LDFLAGS2 += -L.
 endif
diff -ur gnuplot-5.0.6.orig/src/command.c gnuplot-5.0.6/src/command.c
--- gnuplot-5.0.6.orig/src/command.c	2017-08-03 15:33:24.065752872 -0400
+++ gnuplot-5.0.6/src/command.c	2017-08-03 15:41:32.160423062 -0400
@@ -125,7 +125,7 @@
 # endif
 #endif /* _Windows */
 
-#ifdef _Windows
+#ifdef IGNORE_Windows
 # include <windows.h>
 # ifdef __MSC__
 #  include <malloc.h>
@@ -2543,6 +2543,7 @@
 void
 help_command()
 {
+#ifndef __MINGW32__
     HWND parent;
 
     c_token++;
@@ -2578,6 +2579,7 @@
         link.fIndexOnFail = TRUE;
         HtmlHelp(parent, winhelpname, HH_KEYWORD_LOOKUP, (DWORD_PTR)&link);
     }
+#endif
 }
 #else  /* !_Windows */
 #ifndef VMS
diff -ur gnuplot-5.0.6.orig/src/internal.c gnuplot-5.0.6/src/internal.c
--- gnuplot-5.0.6.orig/src/internal.c	2017-08-03 15:33:24.074757626 -0400
+++ gnuplot-5.0.6/src/internal.c	2017-08-03 15:41:59.832031188 -0400
@@ -47,7 +47,7 @@
 
 #include <math.h>
 
-#ifndef _WIN64
+#if !defined(__MINGW64_VERSION_MAJOR)
 /*
  * FIXME: This is almost certainly out of date on linux, since the matherr
  * mechanism has been replaced by math_error() and supposedly is only 
diff -ur gnuplot-5.0.6.orig/src/syscfg.h gnuplot-5.0.6/src/syscfg.h
--- gnuplot-5.0.6.orig/src/syscfg.h	2017-08-03 15:33:24.068754457 -0400
+++ gnuplot-5.0.6/src/syscfg.h	2017-08-03 15:44:56.806457805 -0400
@@ -345,7 +345,11 @@
 #endif
 
 #ifndef GP_MATHERR
-# define GP_MATHERR matherr
+# if __MINGW32__
+#  define GP_MATHERR _matherr
+#else
+#  define GP_MATHERR matherr
+# endif
 #endif
 
 #ifdef HAVE_STRUCT_EXCEPTION_IN_MATH_H
